invoice

The invoice query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the Invoice type.

query invoice ($id: ID!) {
  invoice (id: $id) {
    accountId
    aging
    amount
    amountDue
    amountPaid
    baseCurrencyId
    baseCurrencyTotal
    couponApplied
    createdAt
    credits
    currencyId
    description
    dueAt
    fromChildAccountId
    hasPaymentMethod
    id
    internalNotes
    isLegacy
    issuedAt
    kind
    netPaymentDays
    notes
    number
    paidAt
    payableId
    paymentFailedAt
    paymentFailureReason
    poNumber
    portalUrl
    quoteId
    sendInvoiceTo
    smallUnitAmountDue
    subtotal
    taxAmount
    taxRate
    updatedAt
    url
    uuid
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  

ResponseLink to Response section